MTD(4) | Device Drivers Manual | MTD(4)

# NAME

`mtd` —
Driver for Myson Technologies MTD803 3-in-1 Fast Ethernet board

# SYNOPSIS

`mtd* at pci?`

# DESCRIPTION

The `mtd` device driver supports the MTD803 PCI Ethernet chip.

Supported models include:

- Safeway Lancard SW-10/100 PCI (model 117204). Please note that some cards sold under this name are supported by rtk(4) instead.

# SEE ALSO

intro(4), mii(4), pci(4), rtk(4), ifconfig(8)

# HISTORY

The `mtd` driver appeared in NetBSD 2.0.

# AUTHORS

Peter Bex <Peter.Bex@student.kun.nl>

# BUGS

This driver has not been tested on any architecture besides i386. It does not handle DMA cache flushes at all, so it will very likely not work on other architectures that require this.

Power management is missing.

A CardBus variant is rumored to exist, but support for it has not been added to the driver yet.

November 8, 2002 | NetBSD 9.0